<?php
// ТРЕНИРОВКА ПАРАМЕТРОВ

include 'core/system.php';


head('Боевой Питомец');

$petik = array (100,1000,1000,5000,7000,12000,20000,		30000,44000,58000,83000,126000,170000,200000,10000,11000,27000,28000,28000,29000,30000,41000,52000,63000,74000,85000);
$los = $dbc->query("SELECT * FROM `user_pets` WHERE `id_user` = '".$user['id']."'")->fetch_assoc();
if($los){
if ($los['slava']>=$petik[$los['level']]){




$dbc->query("UPDATE `user_pets` SET 
`level`=`level`+1,

`prog`=`prog`+1, `slava`=0 ,`vit`=`vit`+10,`str`=`str`+5,`def`=`def`+5



 WHERE `id_user`='".$user['id']."'");
$_SESSION['message']='<center><span class="info">Ваш питомец получил новый уровень!</span></br>Жизни +10 Сила +5 Защита +5';



header('location:my_pet');exit;



}

}


  $my_pets = $dbc->query("SELECT * FROM `user_pets` WHERE `id_user` = '".$user['id']."'")->fetch_assoc();  if($my_pets == false) { header('Location: spet.php');exit;}

if($my_pets['def'] < 2000){ $brony=$my_pets['def'] * 2 / 100;}elseif($my_pets['def'] >= 2000){ $brony = 20;} 

$crit  = $my_pets['str']*2;

$price = $dbc->query("SELECT * FROM `pets_tj` WHERE `id` = '".$my_pets['id_pets']."'")->fetch_assoc(); 
$pric  = $price['g']/2;
 if(isset($_GET['cn'])){
      $nick_rubin = 200;


  
            if(empty($_POST['nick'])){
        echo '
Смена Имени Питомца - 
<img src="img/money/money.png"> 

'.$nick_rubin.'
<div class="separ"></div>
    <form action="my_pet?cn" method="post">
<input id="login" type="text" class="input-area" name="nick">



<br><br>
<div class="form-submit">
<div class="form-submit"><input type="submit" class="btn" value="Сменить Имя"/>



</div>


</form>
</div>
</div>
';
    }
    else{

        if($user['gold']<$nick_rubin){

                echo '
                Недостаточно золота!

                </div>
                </div>
                ';
        foot();
        exit;
                }
$nick = protect($_POST['nick']);
    if(iconv_strlen($nick) < 3 or iconv_strlen($nick) > 30){



        // Длина никнейма
        echo '
Минимальная Длина Имени 3 Максимальная 30

</div></div>
';
        foot();
        exit;
        }
// Проверка логина- зарегистрирован или нет
//$nick = protect($_POST['nick']);

$hd = $dbc->query("SELECT * FROM `user_pets` WHERE `name` = '".$nick."' LIMIT 1"); $cad = $hd->num_rows; if($cad != 0)    {

        echo '
<font color="red">
Данное Имя уже занято
</font>
                </div>
                </div>            
                    ';    
                    foot();    
                exit;
                }    
                // Проверка на английские символы
if (!preg_match('~^[a-яА-Яa-zA-Z0-9\s]+$~iu', $nick)){

        echo '
        <div class="block_zero center">
<font color="red">
Запрещенные символы в Имени
</font>
<br/>
<div class="separ"></div>
        <a href="my_pet?cn">
                Назад
                </a>
                </div>
                </div>                        
        ';
                    foot();    
                exit;
                }            
                // Заносим данные в таблицу    
$dbc->query("UPDATE `user_pets` SET `name`='".$nick."' WHERE `id_user`='".$user['id']."'");




$dbc->query("UPDATE `users` SET `gold`=`gold`-".$nick_rubin." WHERE `id`='".$user['id']."'");

                echo 'Имя Успешно Изменено.
                </div>
                </div>
                ';    
    }
    foot();
    exit;
    }


?><style>


.progress-bar,
.progress{
    height: 7px;
}
.progress-bar{
    border: 1px solid #000000;
    background: #494949 url("/styles/prog/last.jpg") repeat-x;


}
.progress-bar._fight{margin-top: 2px}
.progress-bar._fight,
._fight .progress{
    height: 3px;
}
.progress{max-width: 100%;}
.progress._green{background: #059114 url("/styles/prog/green.jpg") repeat-x;}

.progress._red{background: #059114 url("/style/css/img/bg_prg-red.jpg") repeat-x;}
.progress._blue{background: #059114 url("/style/css/img/bg_prg-blue.jpg") repeat-x;}
.progress._green,
.progress._red,
.progress._blue{
    background-size: contain;
}
</style><? 



$lx = $petik[$my_pets['level']];


$proc = $my_pets['slava']/$lx*100;
$proc = floor($proc);


			$pet_proc = round(100/($petik[$my_pets['level']]/($my_pets['oput']+1)))+1; if ($pet_proc>100){	$pet_proc = 100;} $pet_proc= ceil($pet_proc);

if(isset($_GET['sell'])){ $dbc->query("delete from `user_pets` where `id_user`= '".$user['id']."'"); 


$dbc->query("update `users` set `s_pet` = 0, `gold`=`gold`+'".$pric."' where `id`= '".$user['id']."'");

 
$dbc->query("update `art_pet` set `status` = 1 where `user_id`= '".$user['id']."'"); 


header('location:spet.php');exit; }


if(isset($_GET['at'])){
if($my_pets['spec']!=0){header('location:my_pet');exit;}



$dbc->query("UPDATE `user_pets` SET `spec`=1 WHERE `id_user`='".$user['id']."' "); header('location:my_pet');exit;}



if(isset($_GET['hil'])){

if($my_pets['spec']!=0){header('location:my_pet');exit;}



$dbc->query("UPDATE `user_pets` SET `spec`=2 WHERE `id_user`='".$user['id']."' "); header('location:my_pet');exit;}



?><div class="lblue-panel">
<div class="panel-inner">
<div>

<center>
<span class="entity e-pet">
<span class="e-icon">
<img src="<?=$my_pets['img']?>" class="i200 pet_brd" />
</a> 
</span>
</br>
<span>
<span class="e-name"><br><h1>
<span class=<?=$my_pets['lite']?>><?=$my_pets['name']?></span></h1></span>


</span>

<span class="e-extra">
Уровень <?=$my_pets['level']?>

<br/>
<span></span>




<div class="clearer"></div>
</span>

</span>
</span>
</div>

</div>
</div><?
?><div class="lblue-panel">

<div class="panel-inner"><?


if($my_pets['weapon']==1){ 

$weapon = $dbc->query("SELECT * FROM `art_pet` WHERE `tip`=1 AND `user_id`='".$user['id']."' AND `status`=2 LIMIT 1")->fetch_assoc();


?><a href="info_it.php?ids=<?=$weapon['id']?>"><img src="img/item_pet/<?=$weapon['img']?>.png"></a><? }


if($my_pets['head']==1){ 

$weapon = $dbc->query("SELECT * FROM `art_pet` WHERE `tip`=2 AND `user_id`='".$user['id']."' AND `status`=2 LIMIT 1")->fetch_assoc();


?> <a href="info_it.php?ids=<?=$weapon['id']?>"><img src="img/item_pet/<?=$weapon['img']?>.png"></a><? }




if($my_pets['armor']==1){ 

$weapon = $dbc->query("SELECT * FROM `art_pet` WHERE `tip`=3 AND `user_id`='".$user['id']."' AND `status`=2 LIMIT 1")->fetch_assoc();


?><a href="info_it.php?ids=<?=$weapon['id']?>"><img src="img/item_pet/<?=$weapon['img']?>.png"></a><? }

?></br><a href="pet_item.php">Снаряжение</a>
</center>

<?

























?>
<div class="mt10">
<div>
<div>Параметры:</div>
<div><img src="img/stat/hp.png" width="12" height="12" alt="*" /> Здоровье: <?=$my_pets['vit']?></div>

<div><img src="img/stat/AKulak.png" width="12" height="12" alt="*" /> Сила: <?=$my_pets['str']?></div>
<div><img src="images/icons/armor.png" width="12" height="12" alt="*" /> Защита: <?=$my_pets['def']?><span class="info">(<?=$brony?>%)</span></div>

<div><img src="img/stat/mp.png" width="12" height="12" alt="*" /> Крит: <?=$my_pets['crit']?>% (<span class="iEpic">урон ~ <?=$crit?></span>)</div>


<div>
</div>

</div><?

if($my_pets['spec']==0){

?><div class="mt10">

<center> Выберите Способность вашего питомца (<font color=red>Внимание после выбора способность изменить нельзя</font>)</center>

<table>

        <tr>
            <td style="width: 45px;"><img src="img/new/pet_at.png" style="box-shadow: 0px 0px 20px blue; margin: 10px;"></td>






<td>
Способность Атаки(<font color=grey>в бою атакует противников</font>)<a href="my_pet?at">Выбрать</a></br>




</div>
            </td>
        </tr>
</table>

<table>

        <tr>
            <td style="width: 45px;"><img src="img/new/pet_hil.png" style="box-shadow: 0px 0px 20px green; margin: 10px;"></td>







<td>
Способность Исцеления(<font color=grey>Исцеляет ваши раны в бою</font>)<a href="my_pet?hil">Выбрать</a></br>





</div>
            </td>
        </tr>
</table> 

</div><?

}

if($my_pets['spec']==1){ 

?><div class="mt10">

<center><b>Способность Вашего Питомца</b></center>

<table>

        <tr>
            <td style="width: 45px;"><img src="img/new/pet_at.png" style="box-shadow: 0px 0px 20px blue; margin: 10px;"></td>






<td>
Способность Атаки(<font color=grey>в бою атакует противников</font>)</br>




</div>
            </td>
        </tr>
</table></div><? }


if($my_pets['spec']==2){


?><div class="mt10">

<center><b>Способность Вашего Питомца</b></center>



<table>


        <tr>
            <td style="width: 45px;"><img src="img/new/pet_hil.png" style="box-shadow: 0px 0px 20px green; margin: 10px;"></td>







<td>
Способность Исцеления(<font color=grey>Исцеляет ваши раны в бою</font>)</br>





</div>
            </td>
        </tr>
</table> 

</div><?
}
?><div class="mt10">






</div>



</div>

Следующий Уровень:

<?=$my_pets['slava']?>/<?=$lx?><div class="progress-bar exp"><div style="width: <?=$proc?>%;" class="progress _green"></div></div>


</div></div></div></div><?



?><a class="btn" href="my_pet?sell">Продать Питомца за <?=$pric?> золота</a><?




?><a class="btn" href="spet.php">Список Всех Питомцев</a><?

?><a class="btn" href="my_pet?cn">Сменить Имя</a><?


?><a class="btn" href="craft_pet.php">Заточка Вещей</a><? 

?><a class="btn" href="tren_pet.php">Тренировка Питомца</a><?  

foot();
exit;

?>